## kde-workspace 4.11.12

=== debian/changelog ===
kde-workspace (4:4.11.12-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Remove patches now upstream:
   - upstream_fix-upstart-version-detect.diff
   - kubuntu_upstart_pattern_fix.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:07:37 +0200

kde-workspace (4:4.11.11-0ubuntu6) utopic; urgency=medium

  * Re-fix patch kubuntu_dont-force-on-path.patch again, the quotes are needed
    in the version which uses alias qdbus.  It will still be broken if you
    install qdbus:i386  LP: #1304805

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Aug 2014 15:43:42 +0200

kde-workspace (4:4.11.11-0ubuntu5) utopic; urgency=medium

  * Fix patch kubuntu_dont-force-on-path.patch again, fix was lost somewhere
    LP: #1304805

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Aug 2014 15:00:30 +0200

kde-workspace (4:4.11.11-0ubuntu4) utopic; urgency=medium

  * Add kubuntu_upstart_pattern_fix.diff so we really use logind instead of
    upower again 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 16 Aug 2014 13:25:50 +0200

kde-workspace (4:4.11.11-0ubuntu3) utopic; urgency=medium

  * Remove build-dep on nepomuk 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 17:17:45 +0200

kde-workspace (4:4.11.11-0ubuntu2) utopic; urgency=medium

  * Cherry pick upstream 95529335232dcf04620c7f34ba92c9e8e6b190f5
    as upstream_fix-upstart-version-detect.diff so we use logind instead of upower

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Aug 2014 13:52:44 +0200

kde-workspace (4:4.11.11-0ubuntu1) utopic; urgency=medium

  [ Philip Muškovac ]
  * Drop some gcc internal destructors from libkephal4abi1.symbols that are
    gone in gcc 4.9

  [ Jonathan Riddell ]
  * New upstream release
  * Remove upstream patch upstream_use-weak-pointer.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Aug 2014 13:29:36 +0200

kde-workspace (4:4.11.10-0ubuntu5) utopic; urgency=medium

  * kde-window-manager-common breaks/replaces kde-workspace-data << 4:4.11.10 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 28 Jun 2014 13:49:03 +0200

kde-workspace (4:4.11.10-0ubuntu4) utopic; urgency=medium

  * Update symbols for armhf

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 20 Jun 2014 18:11:35 +0200

kde-workspace (4:4.11.10-0ubuntu3) utopic; urgency=medium

  * Update symbols (again)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 20 Jun 2014 15:22:01 +0200

kde-workspace (4:4.11.10-0ubuntu2) utopic; urgency=medium

  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 20 Jun 2014 13:20:15 +0200

kde-workspace (4:4.11.10-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, remaining changes
    - debian/control
      + Don't build with CK support
      + Build with specific boost versions
      + Build depend on libwayland-dev
      + kde-workspace-bin suggests plasma-scriptengines instead of
        recommend
      + kde-workspace-bin depends on kde-base-artwork
      + Instal systemsettingsview headers in kde-workspace-dev
      + Keep org.kde.plasma.tasks in plasma-widgets-workspace
      + kde-workspace recommends lightdm-kde-greeter
      + kdebase-workspace-data depends on oxygen-cursor-theme instead of
        oxygencursors
      + kdebase-workspace-data suggests kde-wallpapers
      + ktouchpadenabler should Break/Replace kde-workspace-bin << 4.11.9
  * Make kdm work with upstart in kdm.prerm, kdm.postrm, kdm.postinst
  * Make sure stripes.png stays in kdm.install
  * Keep upstream_Dont-crash-when-no-desktopnames.patch
  * Build both kwin and kwin active
  * plasma-dataengines-workspace breaks/replaces plasma-widgets-workspace 
  * Use kdmrc_defaults_kubuntu.diff instead of kdmrc_defaults.diff
  * Add upstream_use-weak-pointer.patch

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1328049)
    - drop upstream_Dont-crash-when-no-desktopnames.patch, applied upstream
    - add subtle.desktop to kdm.install 
    - drop removed solid-hardware docs from kde-workspace-data.install

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 19 Jun 2014 20:44:33 +0200

kde-workspace (4:4.11.9-0ubuntu3) utopic; urgency=medium

  * Put back the init.d script for compatibility with insserv. (LP: #1323274)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 May 2014 08:35:35 +0200

kde-workspace (4:4.11.9-0ubuntu2) utopic; urgency=medium

  * Add upstream_Dont-crash-when-no-desktopnames.patch to not crash
    when no DesktopName is set

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 06 May 2014 16:26:22 +0200

kde-workspace (4:4.11.9-0ubuntu1) utopic; urgency=medium

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1312806, #1313193) 

  [ Rohan Garg ]
  * Drop upstream_If-pam-kwallet-was-used-send-environment-to-it.patch,
    applied upstream
  * Drop upstream_Use-the-socket-path-sent-by-pam-kwallet-rather-than-.patch,
    applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 05 May 2014 12:39:55 +0200

kde-workspace (4:4.11.8-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch: krunner_iceweasel_bookmarks.patch applied upstream

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Apr 2014 11:21:07 +0200

kde-workspace (4:4.11.8-0ubuntu7) utopic; urgency=high

  * Rebuild using boost1.55.
  * Rebuild against libgps21.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Apr 2014 10:26:12 +0100

kde-workspace (4:4.11.7-1) unstable; urgency=medium

  * New upstream release.
  * New patch: effect_gles_link_against_gles
  * Remove upstream patch: upstream_explicitly_request_a_window-drawable
  * New patch: unlink_testsock

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 10:07:51 +0100

kde-workspace (4:4.11.6-3) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Import kubuntu's patch: kubuntu_no_krandr.diff
  * Import kubuntu's patch: kubuntu_kcm_display_add_kscreen.diff
  * Split kde-workspace-krandr from kde-workspace-bin, in order to let
    kscreen to take over.


=== debian/control ===
Source: kde-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.6),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.11),
               kdepimlibs5-dev (>= 4:4.11),
               libakonadi-dev (>= 1.1.95),
               libboost1.55-dev,
               libdbus-1-dev,
               libdbusmenu-qt-dev (>= 0.6.0),
               libdevstat-dev [kfreebsd-any],
               libdlrestrictions-dev (>= 0.14),
               libfontconfig-dev,
               libgles2-mesa-dev [!hurd-i386 !m68k !powerpcspe !x32],
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgps-dev (>= 2.90),
               libjpeg-dev,
               libkactivities-dev (>= 4:4.11),
               libnm-util-dev (>= 0.9) [linux-any],
               libpam0g-dev,
               libpci-dev,
               libpng12-dev (<< 1.5),
               libprison-dev,
               libqalculate-dev,
               libqimageblitz-dev (>= 1:0.0.4-2),
               libqjson-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libraw1394-dev [linux-any],
               libsensors4-dev [linux-any],
               libsm-dev,
               libsoprano-dev (>= 2.7.56),
               libstreamanalyzer-dev (>= 0.6.3),
               libstrigiqtdbusclient-dev (>= 0.6.3),
               libudev-dev [linux-any],
               libusb-dev,
               libwayland-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xfixes0-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxfixes-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxss-dev,
               libxtst-dev,
               network-manager-dev (>= 0.9) [linux-any],
               pkg-kde-tools (>= 0.15.12),
               python-dev (>= 2.6.6-3~),
               shared-desktop-ontologies (>= 0.8),
               udev [linux-any],
               zlib1g-dev
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-workspace.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-workspace.git

Package: kde-workspace
Architecture: all
Depends: freespacenotifier (>= ${source:Version}),
         kde-window-manager (>= ${source:Version}) | kde-window-manager-active (>= ${source:Version}),
         kde-workspace-bin (>= ${source:Version}),
         klipper (>= ${source:Version}),
         ksysguard (>= ${source:Version}),
         systemsettings (>= ${source:Version}),
         ${misc:Depends}
Recommends: kinfocenter (>= ${source:Version}),
            kmenuedit (>= ${source:Version}),
            lightdm-kde-greeter | kdm (>= ${source:Version})
Breaks: kdebase-workspace (<< 4:4.7.2)
Replaces: kdebase-workspace (<< 4:4.7.2)
Description: KDE Plasma Workspace components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides a basic KDE desktop installation.

Package: kdebase-workspace
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-workspace, ${misc:Depends}
Description: transitional package for kde-workspace
 This is a dummy transitional package for kde-workspace and can be safely
 removed after the installation is complete.

Package: plasma-desktop
Architecture: any
Depends: kde-wallpapers-default,
         plasma-widgets-workspace (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-workspace
Replaces: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5)
Breaks: kdebase-workspace-bin (<< 4:4.5),
        kdebase-workspace-data (<< 4:4.5),
        plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Description: KDE Plasma workspace for desktop and laptop computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of desktop applications, not only applications built on the KDE Platform.
 It integrates best with applications following the standards used by the KDE
 Platform.
 .
 This package is part of the KDE base workspace module.

Package: plasma-netbook
Architecture: any
Depends: kde-wallpapers-default,
         plasma-widgets-workspace (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-workspace
Description: KDE Plasma workspace for netbook computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of applications in a netbook environment, not only applications built on
 the KDE Platform. It integrates best with applications following the standards
 used by the KDE Platform.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-bin
Architecture: any
Depends: iso-codes,
         kde-runtime (>= 4:4.10.2),
         kde-base-artwork,
         kde-workspace-data (= ${source:Version}),
         kde-workspace-kgreet-plugins (= ${binary:Version}),
         kscreen,
         plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}) | plasma-active,
         qdbus,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome, upower [linux-any]
Suggests: plasma-scriptengines, x11-xkb-utils
Replaces: kcontrol,
          kdebase-data (<< 4:4.5),
          kdebase-runtime (<< 4:4.5),
          kdebase-workspace-bin (<< 4:4.7.2),
          kdesktop,
          ksplash,
          ktip,
          libkfontinst4
Breaks: kcontrol,
        kdebase-data (<< 4:4.5),
        kdebase-runtime (<< 4:4.5),
        kdebase-workspace-bin (<< 4:4.7.2),
        kdesktop,
        ksplash,
        ktip,
        libkfontinst4,
        polkit-kde-1 (<< 0.99)
Description: core binaries for the KDE Plasma Workspace
 This package contains miscellaneous programs needed for a basic desktop
 installation. Among other standard KDE Workspace components, the package
 provides startkde scripts, ksmserver (the session manager), krunner,
 the default KDE screensavers and many KDE configuration modules. This
 package is essential to start and use KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-bin
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-workspace-bin, ${misc:Depends}
Description: transitional package for kde-workspace-bin
 This is a dummy transitional package for kde-workspace-bin and can be safely
 removed after the installation is complete.

Package: kde-workspace-data
Architecture: all
Depends: kde-base-artwork, oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
Replaces: kde-icons-mono (<< 4:4.6.80),
          kdebase-runtime-data (<< 4:4.5),
          kdebase-workspace-data (<< 4:4.7.2),
          ksmserver,
          ksplash,
          ktip,
          libplasma1
Breaks: kde-icons-mono (<< 4:4.6.80),
        kdebase-runtime-data (<< 4:4.5),
        kdebase-workspace-data (<< 4:4.7.2),
        ksmserver,
        ksplash,
        ktip,
        libplasma1
Suggests: kde-wallpapers
Description: shared data files for the KDE Plasma Workspace
 This package contains architecture-independent shared data files needed for a
 basic KDE Workspace installation.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-dev
Architecture: any
Depends: libx11-xcb-dev,
         libxcb-xfixes0-dev,
         mesa-common-dev,
         ${allLibraries},
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:kde-workspace-bin},
         ${shlibs:Depends}
Breaks: kdebase-workspace-dev (<< 4:4.7.2)
Replaces: kdebase-workspace-dev (<< 4:4.7.2)
Description: development files for the KDE Plasma Workspace
 This package contains development files for building software that uses
 libraries from the KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-workspace-dev, ${misc:Depends}
Description: transitional package for kde-workspace-dev
 This is a dummy transitional package for kde-workspace-dev and can be safely
 removed after the installation is complete.

Package: plasma-dataengines-workspace
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ksysguardd (= ${binary:Version})
Breaks: kde-workspace-bin (<< 4:4.10.80),
 plasma-widgets-workspace (<< 4:4.11.9-0ubuntu3~)
Replaces: kde-workspace-bin (<< 4:4.10.80),
 plasma-widgets-workspace (<< 4:4.11.9-0ubuntu3~)
Description: KDE Plasma data engines
 This package contains standard Plasma data engines shipped in KDE Plasma
 workspace. These engines are needed by the standard KDE base
 workspace Plasma widgets, but they may be useful for any other Plasma widget
 too.
 .
 This package is part of the KDE base workspace module.

Package: plasma-widgets-workspace
Architecture: any
Depends: akonadi-server,
         kdepim-runtime,
         plasma-dataengines-workspace (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: notification-daemon
Description: plasma widgets and containments for the KDE Plasma Workspace
 This package contains standard Plasma widgets and containments shipped in the
 KDE base workspace module. They provide such basic desktop functionality as
 the panel, task manager, application laucher, clock and more. The default KDE
 Workspace is a combination of these visual components.
 .
 This package also includes the default animator used by the main KDE Plasma
 Desktop shell.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengines
Architecture: all
Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
         plasma-scriptengine-python (>= ${source:Version}),
         plasma-scriptengine-ruby (>= ${source:Version}),
         plasma-scriptengine-webkit (>= ${source:Version}),
         ${misc:Depends}
Recommends: plasma-scriptengine-superkaramba
Suggests: plasma-scriptengine-kimono
Description: metapackage to install all Plasma script engines

=== debian/rules ===
#!/usr/bin/make -f

dh = --with=python2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kde-workspace-dev
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages) kde-style-oxygen
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

BINARYVERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

override_dh_auto_clean:
	$(overridden_command)
	rm -rf debian/build-kwin-active debian/tmp-kwin-active

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm \
		-DKDE4_BUILD_TESTS=false
	$(overridden_command) -Bdebian/build-kwin-active -- -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm \
	        -DKDE4_BUILD_TESTS=false -DKWIN_PLASMA_ACTIVE=true

override_dh_auto_build:
	$(overridden_command)
	cd debian/build-kwin-active/kwin; $(overridden_command); cd ../../..

override_dh_auto_install:
	$(overridden_command)
	cd debian/build-kwin-active/kwin; DESTDIR=$(CURDIR)/debian/tmp-kwin-active make install; cd ../../..
	chmod a-x debian/tmp/usr/share/autostart/klipper.desktop

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kde-workspace-dbg

override_dh_makeshlibs:
	$(overridden_command) -pplasma-desktop -Xlibkickoff.so
	$(overridden_command) --remaining-packages

override_dh_shlibdeps:
	$(overridden_command) -pkde-workspace-bin -- -xksysguard
	$(overridden_command) -pkde-workspace-dev -- -xkde-runtime
	$(overridden_command) $(foreach p,$(filter lib%,$(shell dh_listpackages -a)),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

# Prevent it from stopping kdm in prerm ever (--no-restart-on-upgrade is not
# enough)
override_dh_installinit:
	$(overridden_command) -pkdm --noscripts
	$(overridden_command) --remaining-packages

pkgs_with_install_linux = $(patsubst debian/%.install.linux,%,$(wildcard debian/*.install.linux))
override_dh_install:
	$(overridden_command)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	# Also install common files in place of debian/*.install.linux variants
	dh_install $(foreach p,$(pkgs_with_install_linux),-p$p --ignore=debian/$p.install.linux)
endif
	if [ -d debian/kdm ]; then \
		install -p -D -m644 debian/kdm-np.pam debian/kdm/etc/pam.d/kdm-np && \
		install -p -D -m644 debian/kdm.insserv debian/kdm/etc/insserv.conf.d/kdm; \
	fi
	install -m 644 -D debian/startkde.user-session.upstart debian/kde-workspace-bin/usr/share/upstart/sessions/startkde.conf

=== debian/tests/control ===
Tests: testsuite
# @ without kdebase-workspace-dev
Depends: kde-workspace,
         kdebase-workspace,
         plasma-desktop,
         plasma-netbook,
         kde-workspace-bin,
         kdebase-workspace-bin,
         kde-workspace-data,
         kde-workspace-dev,
         plasma-dataengines-workspace,
         plasma-widgets-workspace,
         plasma-scriptengines,
         plasma-scriptengine-ruby,
         plasma-scriptengine-python,
         plasma-scriptengine-webkit,
         freespacenotifier,
         kdm,
         kinfocenter,
         klipper,
         ksysguardd,
         ksysguard,
         kde-window-manager,
         libkdecorations4abi2,
         libkwineffects1abi5,
         systemsettings,
         kde-workspace-kgreet-plugins,
         kde-style-oxygen,
         kmenuedit,
         libkephal4abi1,
         libkscreensaver5,
         libksgrd4,
         libksignalplotter4,
         libkworkspace4abi2,
         liblsofui4,
         libplasmaclock4abi4,
         libplasma-geolocation-interface4,
         libkwinglutils1abi2,
         libplasmagenericshell4,
         libprocesscore4abi1,
         libprocessui4a,
         libtaskmanager4abi4,
         libweather-ion6,
         kde-workspace-dbg,
         kdebase-workspace-dbg,
         ktouchpadenabler,
         @builddeps@, build-essential,
         xvfb, xauth, dbus-x11
Restrictions: rw-build-tree

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags

## kde-workspace 4.11.13

=== CMakeLists.txt ===
project(KDEBASE_WORKSPACE)
# set_package_properties appeared in cmake 2.8.6
# TODO: Remove when kdelibs >= 4.10 will be required
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

# Used e.g. in KDE4WorkspaceConfig.cmake, Alex
set(KDE4WORKSPACE_VERSION_MAJOR 4)
set(KDE4WORKSPACE_VERSION_MINOR 11)
set(KDE4WORKSPACE_VERSION_PATCH 13)
set(KDE4WORKSPACE_VERSION ${KDE4WORKSPACE_VERSION_MAJOR}.${KDE4WORKSPACE_VERSION_MINOR}.${KDE4WORKSPACE_VERSION_PATCH} )

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

#search packages used by KDE
set(QT_MIN_VERSION "4.8.0")

find_package(KDE4 4.9.4 REQUIRED)
include(KDE4Defaults)

option(WITH_XINERAMA "Xinerama support for multi-headed X displays" ON)

find_package(Strigi)

set_package_properties(Strigi PROPERTIES DESCRIPTION "Desktop indexing and search support"
                       URL "http://strigi.sourceforge.net"
                       TYPE REQUIRED
                      )

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                      )

find_package(KActivities 6.0.0 CONFIG)
set_package_properties(KActivities PROPERTIES DESCRIPTION "Interface library for the activity manager"
                       URL "https://projects.kde.org/kactivities"
                       TYPE REQUIRED
                      )

find_package(DBusMenuQt 0.6.0)
set_package_properties(DBusMenuQt PROPERTIES DESCRIPTION "Support for notification area menus via the DBusMenu protocol"
                       URL "https://launchpad.net/libdbusmenu-qt"
                       TYPE REQUIRED
                      )

find_package(QImageBlitz)
set_package_properties(QImageBlitz PROPERTIES DESCRIPTION "An image effects library"
                       URL "http://sourceforge.net/projects/qimageblitz"
                       TYPE REQUIRED
                      )

find_package(KDeclarative QUIET CONFIG)
set_package_properties(KDeclarative PROPERTIES DESCRIPTION "KDE Declarative (QML) support from kdelibs"
                       URL "http://www.kde.org"
                       TYPE REQUIRED
                       PURPOSE "Required for building ksmserver"
                      )

macro_optional_find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                       URL "http://www.opengl.org"
                       TYPE OPTIONAL
                      )
macro_optional_find_package(OpenGLES)
set_package_properties(OpenGLES PROPERTIES DESCRIPTION "The OpenGLES libraries"
                       URL "http://www.khronos.org/opengles"
                       TYPE OPTIONAL
                      )
macro_optional_find_package(UDev)
set_package_properties(UDev PROPERTIES DESCRIPTION "The UDev Libraries"
                       TYPE OPTIONAL
                       PURPOSE "Allows support for UPower backend in PowerDevil - STRONGLY RECOMMENDED"
                      )

macro_optional_find_package(Wayland)
set_package_properties(Wayland PROPERTIES DESCRIPTION "The Wayland Client and Server libraries"
                       URL "http://wayland.freedesktop.org"
                       TYPE OPTIONAL
                       PURPOSE "Required for building KWin with Wayland support"
                      )
if(Q_WS_X11)
  find_package(XCB REQUIRED)
  set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                         URL "http://xcb.freedesktop.org"
                         TYPE REQUIRED
                        )

  find_package(X11_XCB)
  set_package_properties(X11_XCB PROPERTIES DESCRIPTION "XCB X11 protocol client library"
                         TYPE REQUIRED
                        )

  find_package(X11 REQUIRED)
  set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                         URL "http://www.x.org"
                         TYPE REQUIRED
                        )

  add_feature_info("Automated testing of X clients" X11_XTest_FOUND
                   "The X11 Testing Resource extension library is useful for automated testing of X clients")
  add_feature_info("libXau" X11_Xau_FOUND "The X11 Authorization Protocol library may be used by KDM")
  add_feature_info("LibXdmcp" X11_Xdmcp_FOUND "The X Display Manager Control Protocol library may be used by KDM")
  if(NOT X11_Xkbfile_FOUND)
    message(FATAL_ERROR "The X11 keyboard layout library was not found. Required for building keyboard modules.")
  endif()
  if(NOT X11_Xcomposite_FOUND)
    message(FATAL_ERROR "The X11 composite library was not found. Required for building the plasma tray and notifications widgets.")
  endif()
  if(NOT X11_Xdamage_FOUND)
    message(FATAL_ERROR "The X11 damaged region extension library was not found. Required for compositing support in KWin.")
  endif()
  if(NOT X11_Xrender_FOUND)
    message(FATAL_ERROR " The X Rendering Extension client library was not found. Required for XRender Compositing backend in KWin.")
  endif()
  if(NOT X11_Xfixes_FOUND)
    message(FATAL_ERROR "The X11 miscellaneous 'fixes' extension library was not found. Required for XRender Compositing backend in KWin.")
  endif()
  if(NOT X11_Xrandr_FOUND)
    message(FATAL_ERROR "The X11 RandR extension library was not found. Required for Multi Screen Support.")
  endif()
  if(NOT OPENGL_FOUND AND NOT OPENGLES_FOUND)
    message(FATAL_ERROR "Either OpenGL or OpenGL ES 2.0 are required for Compositing support in KWin.")
  endif()
  if(NOT X11_Xcursor_FOUND)
    message(FATAL_ERROR "The X11 cursor management library was not found. Required for desktop effects support in KWin.")
  endif()
endif(Q_WS_X11)

macro_optional_find_package(GLIB2 2.0)
set_package_properties(GLIB2 PROPERTIES DESCRIPTION "Low-level core library for data structure handling, portability wrappers, etc."
                       URL "http://www.gtk.org"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the kxkb keyboard map control program and provide XMMS support in the Now Playing Plasma data engine"
                      )

macro_optional_find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "http://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

#### Python support ( plasma scriptengines ) ####
macro_optional_find_package(PythonLibrary)
set_package_properties(PythonLibrary PROPERTIES DESCRIPTION "Python scripting language"
                       URL "http://python.org"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build plasma scriptengine for python."
                      )

macro_optional_find_package(Soprano 2.7.56)
set_package_properties(Soprano PROPERTIES DESCRIPTION "Semantic Desktop Storing"
                       URL "http://soprano.sourceforge.net"
                       TYPE OPTIONAL
                       PURPOSE "Required to build Nepomuk features."
                      )

macro_optional_find_package(NepomukCore QUIET CONFIG)
set_package_properties(NepomukCore PROPERTIES DESCRIPTION "Nepomuk Core Library"
                       URL "https://projects.kde.org/nepomuk-core"
                       TYPE OPTIONAL
                       PURPOSE "Required to build Nepomuk features."
                      )

macro_optional_find_package(Boost 1.34.0 MODULE)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries"
                       URL "http://www.boost.org"
                       TYPE OPTIONAL
                       PURPOSE "Required to build certain Plasma DataEngines (Akonadi, RSS, Calendar)"
                      )

macro_optional_find_package(Akonadi QUIET CONFIG)
set_package_properties(Akonadi PROPERTIES DESCRIPTION "An extensible cross-desktop storage service for PIM data"
                       URL "http://pim.kde.org/akonadi"
                       TYPE OPTIONAL
                       PURPOSE "Required to build certain Plasma DataEngines (Akonadi, Calendar)"
                      )

macro_optional_find_package(KdepimLibs 4.10.68 QUIET CONFIG)
set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDEPIM libraries"
                       URL "http://pim.kde.org"
                       TYPE OPTIONAL
                       PURPOSE "Required to build certain Plasma DataEngines (Akonadi, Calendar)"
                      )

macro_optional_find_package(QJSON)
set_package_properties(QJSON PROPERTIES DESCRIPTION "Library to manage JSON objects with Qt"
                       URL "http://qjson.sourceforge.net/"
                       TYPE OPTIONAL
                       PURPOSE "Required to build Chrome/Chromium support for Plasma Bookmarks Runners"
                      )


include(ConfigureChecks.cmake)
if(NOT WIN32)
  configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
  configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )
  if(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
    set(EXPORT_XCURSOR_PATH "XCURSOR_PATH=${CMAKE_INSTALL_PREFIX}/share/icons:$XCURSOR_PATH\":~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons\"; export XCURSOR_PATH")
  endif(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
  configure_file(startkde.cmake ${CMAKE_CURRENT_BINARY_DIR}/startkde  @ONLY)
endif(NOT WIN32)
configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h )

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KACTIVITIES_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/libs)

add_definitions(-DDISABLE_NEPOMUK_LEGACY)

# libs
add_subdirectory(cmake)
add_subdirectory(libs)

# system settings (kcontrol replacement)
if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory( systemsettings )
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

# core apps
if(NOT WIN32)
   macro_optional_add_subdirectory( kcheckpass )
   macro_optional_add_subdirectory( kwin )
   macro_optional_add_subdirectory( ksmserver )

   find_package(JPEG REQUIRED)
   find_package(PNG REQUIRED)
   macro_optional_add_subdirectory( ksplash )

   macro_optional_add_subdirectory( powerdevil )
   macro_optional_add_subdirectory( qguiplatformplugin_kde )
   if (NOT CMAKE_SYSTEM_NAME MATCHES Darwin)
      macro_optional_add_subdirectory( ksysguard )
   endif (NOT CMAKE_SYSTEM_NAME MATCHES Darwin)
endif(NOT WIN32)

if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory(kcontrol)
   macro_optional_add_subdirectory(klipper)
   macro_optional_add_subdirectory(kmenuedit)
   macro_optional_add_subdirectory(krunner)
   macro_optional_add_subdirectory(solid-actions-kcm)
   macro_optional_add_subdirectory(kstartupconfig)
   macro_optional_add_subdirectory(freespacenotifier)
   macro_optional_add_subdirectory(kscreensaver)
   macro_optional_add_subdirectory(kinfocenter)

   # data
   macro_optional_add_subdirectory(doc)

   if (Q_WS_X11)
      macro_optional_add_subdirectory(ktouchpadenabler)
   endif (Q_WS_X11)

   if(NOT WIN32)
      macro_optional_add_subdirectory(kcminit)
      macro_optional_add_subdirectory(khotkeys)
      macro_optional_add_subdirectory(kwrited)
      macro_optional_add_subdirectory(ksystraycmd)
      macro_optional_add_subdirectory(appmenu)
   endif(NOT WIN32)

   if(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      macro_optional_add_subdirectory( kdm )
   else(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      message(STATUS "Xau lib or Xdmcp lib was missing. kdm will not compile")

=== debian/changelog ===
kde-workspace (4:4.11.13-2) unstable; urgency=medium

  * New patch: upstream_do_not_pass_ntpUtility_as_an_argument.patch fix
    for https://www.kde.org/info/security/advisory-20141106-1.txt
    (CVE-2014-8651 : https://security-tracker.debian.org/tracker/CVE-2014-8651)
  * New patch: upstream_validate_timezone_name_before_setting.patch,
    avoids .. in timezone name.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Nov 2014 10:11:28 +0100

kde-workspace (4:4.11.13-1) unstable; urgency=medium

  * New upstream release (4.11.13).
  * Update symbols files from buildds logs (4:4.11.12-2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:03 +0200

kde-workspace (4:4.11.12-2) unstable; urgency=medium

  * Team upload.
  * Add arm64 to libkwinglesutils1's archs list, thus allowing dpkg-shlibdeps
    to properly finish it's job.
  * Update symbols files with buildds' logs.
  * Remove myself from Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 03 Oct 2014 19:25:57 -0300

kde-workspace (4:4.11.12-1) unstable; urgency=medium

  * New upstream release (4.11.12).
  * New patch: check_if_SensorMgr
  * New patch: ksysguardd_acpi_valgrind_complain
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 21 Sep 2014 16:29:38 +0200

kde-workspace (4:4.11.11-2) unstable; urgency=medium

  * kdm: Remove xdm documentation from the README.Debian file. (Closes:
    #247196)
  * Add ppc64el to libkwinglesutils1. (Closes: 760942) Thanks to
    Aurelien Jarno

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Sep 2014 20:52:15 +0200

kde-workspace (4:4.11.11-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Switch the libpng12-dev build dependency to libpng-dev.

  [ Philip Muškovac ]
  * add subtle.desktop to kdm.install
  * drop removed solid-hardware docs from kde-workspace-data.install

  [ Maximiliano Curia ]
  * New upstream release.
  * Remove upstream patch: 0001-Trigger-the-Present-Windows-effect-when-
    control-clic.patch
  * Remove upstream patch: 0002-Fix-crash-after-dismissing-the-context-
    menu-of-a-jus.patch
  * Remove upstream patch: 0004-connect-to-the-right-signal.patch
  * Remove upstream patch: 0009-Do-not-popup-during-initialization.patch
  * Remove upstream patch: 0010-Fix-crash-when-DesktopNames-isn-t-
    set.patch
  * Remove upstream patch: 0012-Fix-wrong-icons.patch
  * Remove upstream patch: 0015-added-window-title-to-sizeGrip-for-
    easier-tracking-i.patch
  * Remove unused patch: 50_icon_in_oxygen_title_bar.diff
  * Refresh patches.
  * Drop KDM ConsoleKit support.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Aug 2014 09:36:36 +0200

kde-workspace (4:4.11.9-1) unstable; urgency=medium

  * New upstream release.
  * Update 4:4.11.8 symbols.
  * New upstream patch: 0001-Trigger-the-Present-Windows-effect-when-
    control-clic.patch
  * New upstream patch: 0002-Fix-crash-after-dismissing-the-context-
    menu-of-a-jus.patch
  * New upstream patch: 0004-connect-to-the-right-signal.patch
  * New upstream patch: 0009-Do-not-popup-during-initialization.patch
  * New upstream patch: 0010-Fix-crash-when-DesktopNames-isn-t-set.patch
  * New upstream patch: 0012-Fix-wrong-icons.patch
  * New upstream patch: 0015-added-window-title-to-sizeGrip-for-easier-
    tracking-i.patch
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 14 May 2014 12:32:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: kde-workspace
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.6),
                debhelper (>= 9),
@@ -16,7 +14,7 @@
                kdelibs5-dev (>= 4:4.11),
                kdepimlibs5-dev (>= 4:4.11),
                libakonadi-dev (>= 1.1.95),
-               libboost1.55-dev,
+               libboost-dev (>= 1.34),
                libdbus-1-dev,
                libdbusmenu-qt-dev (>= 0.6.0),
                libdevstat-dev [kfreebsd-any],
@@ -31,7 +29,7 @@
                libnm-util-dev (>= 0.9) [linux-any],
                libpam0g-dev,
                libpci-dev,
-               libpng12-dev (<< 1.5),
+               libpng-dev,
                libprison-dev,
                libqalculate-dev,
                libqimageblitz-dev (>= 1:0.0.4-2),
@@ -46,11 +44,9 @@
                libstrigiqtdbusclient-dev (>= 0.6.3),
                libudev-dev [linux-any],
                libusb-dev,
-               libwayland-dev,
                libx11-xcb-dev,
                libxcb-composite0-dev,
                libxcb-damage0-dev,
-               libxcb-icccm4-dev,
                libxcb-image0-dev,
                libxcb-keysyms1-dev,
                libxcb-randr0-dev,
@@ -61,7 +57,6 @@
                libxcb-sync-dev,
                libxcb-xfixes0-dev,
                libxcb-xtest0-dev,
-               libxcb1-dev,
                libxcomposite-dev,
                libxcursor-dev,
                libxdamage-dev,
@@ -74,8 +69,9 @@
                libxrender-dev,
                libxss-dev,
                libxtst-dev,
+               nepomuk-core-dev (>= 4:4.11),
                network-manager-dev (>= 0.9) [linux-any],
-               pkg-kde-tools (>= 0.15.12),
+               pkg-kde-tools (>= 0.15.13),
                python-dev (>= 2.6.6-3~),
                shared-desktop-ontologies (>= 0.8),
                udev [linux-any],
@@ -84,23 +80,21 @@
 X-Python-Version: >= 2.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-workspace.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-workspace.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-workspace.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-workspace.git
 
 Package: kde-workspace
 Architecture: all
 Depends: freespacenotifier (>= ${source:Version}),
-         kde-window-manager (>= ${source:Version}) | kde-window-manager-active (>= ${source:Version}),
+         kde-window-manager (>= ${source:Version}),
          kde-workspace-bin (>= ${source:Version}),
          klipper (>= ${source:Version}),
          ksysguard (>= ${source:Version}),
          systemsettings (>= ${source:Version}),
          ${misc:Depends}
-Recommends: kinfocenter (>= ${source:Version}),
-            kmenuedit (>= ${source:Version}),
-            lightdm-kde-greeter | kdm (>= ${source:Version})
+Recommends: kdm (>= ${source:Version}),
+            kinfocenter (>= ${source:Version}),
+            kmenuedit (>= ${source:Version})
 Breaks: kdebase-workspace (<< 4:4.7.2)
 Replaces: kdebase-workspace (<< 4:4.7.2)
 Description: KDE Plasma Workspace components
@@ -162,18 +156,19 @@
 Architecture: any
 Depends: iso-codes,
          kde-runtime (>= 4:4.10.2),
-         kde-base-artwork,
          kde-workspace-data (= ${source:Version}),
          kde-workspace-kgreet-plugins (= ${binary:Version}),
          kscreen,
-         plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}) | plasma-active,
+         plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}),
          qdbus,
          x11-utils,
          x11-xserver-utils,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome, upower [linux-any]
-Suggests: plasma-scriptengines, x11-xkb-utils
+Recommends: plasma-scriptengines,
+            polkit-kde-1 (>= 0.99) | policykit-1-gnome,
+            upower [linux-any]
+Suggests: x11-xkb-utils
 Replaces: kcontrol,
           kdebase-data (<< 4:4.5),
           kdebase-runtime (<< 4:4.5),
@@ -211,7 +206,7 @@
 
 Package: kde-workspace-data
 Architecture: all
-Depends: kde-base-artwork, oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
+Depends: kde-base-artwork, oxygencursors, ${misc:Depends}, ${perl:Depends}
 Replaces: kde-icons-mono (<< 4:4.6.80),
           kdebase-runtime-data (<< 4:4.5),
           kdebase-workspace-data (<< 4:4.7.2),
@@ -226,7 +221,7 @@
         ksplash,
         ktip,
         libplasma1
-Suggests: kde-wallpapers
+Recommends: kde-wallpapers
 Description: shared data files for the KDE Plasma Workspace
  This package contains architecture-independent shared data files needed for a
  basic KDE Workspace installation.
@@ -263,10 +258,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: ksysguardd (= ${binary:Version})
-Breaks: kde-workspace-bin (<< 4:4.10.80),
- plasma-widgets-workspace (<< 4:4.11.9-0ubuntu3~)
-Replaces: kde-workspace-bin (<< 4:4.10.80),
- plasma-widgets-workspace (<< 4:4.11.9-0ubuntu3~)
+Breaks: kde-workspace-bin (<< 4:4.9.3)
+Replaces: kde-workspace-bin (<< 4:4.9.3)
 Description: KDE Plasma data engines
  This package contains standard Plasma data engines shipped in KDE Plasma
  workspace. These engines are needed by the standard KDE base
@@ -277,9 +270,7 @@
 
 Package: plasma-widgets-workspace
 Architecture: any
-Depends: akonadi-server,
-         kdepim-runtime,
-         plasma-dataengines-workspace (= ${binary:Version}),
+Depends: plasma-dataengines-workspace (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: notification-daemon
@@ -304,3 +295,21 @@
 Recommends: plasma-scriptengine-superkaramba
 Suggests: plasma-scriptengine-kimono
 Description: metapackage to install all Plasma script engines
+ This metapackage depends on all Plasma script engines which kde-workspace
+ module provides and suggests script engines from other official KDE modules.
+ .
+ This package is part of the KDE base workspace module.
+
+Package: plasma-scriptengine-ruby
+Architecture: all
+Depends: ruby-plasma, ${misc:Depends}
+Description: Ruby script engine for Plasma
+ This package provides the Ruby script engine for Plasma. You have to install it
+ if you want to use Plasma widgets and data engines written in Ruby.
+ .
+ This package is part of the KDE base workspace module.
+
+Package: plasma-scriptengine-python
+Architecture: all
+Depends: python-kde4 (>= 4:4.6.80),
+         python-qt4-dbus,

=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,12 @@
 BINARYVERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-override_dh_auto_clean:
-	$(overridden_command)
-	rm -rf debian/build-kwin-active debian/tmp-kwin-active
-
 override_dh_auto_configure:
 	$(overridden_command) -- -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm \
 		-DKDE4_BUILD_TESTS=false
-	$(overridden_command) -Bdebian/build-kwin-active -- -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm \
-	        -DKDE4_BUILD_TESTS=false -DKWIN_PLASMA_ACTIVE=true
-
-override_dh_auto_build:
-	$(overridden_command)
-	cd debian/build-kwin-active/kwin; $(overridden_command); cd ../../..
 
 override_dh_auto_install:
 	$(overridden_command)
-	cd debian/build-kwin-active/kwin; DESTDIR=$(CURDIR)/debian/tmp-kwin-active make install; cd ../../..
 	chmod a-x debian/tmp/usr/share/autostart/klipper.desktop
 
 .PHONY: override_dh_auto_test
@@ -61,4 +50,3 @@
 		install -p -D -m644 debian/kdm-np.pam debian/kdm/etc/pam.d/kdm-np && \
 		install -p -D -m644 debian/kdm.insserv debian/kdm/etc/insserv.conf.d/kdm; \
 	fi
-	install -m 644 -D debian/startkde.user-session.upstart debian/kde-workspace-bin/usr/share/upstart/sessions/startkde.conf

=== debian/tests/control ===
--- 
+++ 
@@ -45,9 +45,6 @@
          kdebase-workspace-dbg,
          ktouchpadenabler,
          @builddeps@, build-essential,
-         xvfb, xauth, dbus-x11
+         xvfb, xauth, dbus-x11,
+         dh-acc
 Restrictions: rw-build-tree
-
-Tests: acc
-Depends: @,
-         dh-acc, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kde-workspace-([\d.]+).tar.xz
